| Bsoft 2.0.5 Bernard's software package

Functions
rwPIC.h File Reference

Header file for reading and writing PIC's BP and BQ files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Functions
int | readPIC (Bimage *p, int readdata)
| Reading a PIC image file format(s). A 2D image format used in electron microscopy. Header size: variable - determined by title or label. File format extensions: .bp, .bq Byte order determination: Title length must be less than 256. Data types: BP files = byte, BQ files = float, (Note: float is VMS G_FLOAT). More...
int | writePIC (Bimage *p)
| Writing a PIC image file format(s). A 2D image format used in electron microscopy. More...

## Detailed Description

Header file for reading and writing PIC's BP and BQ files.

Author
  Bernard Heymann

Date
  Created: 20000412
  Modified: 20111217

      Format: 2D image file format for the PIC package

Definition in file rwPIC.h.

## Function Documentation

## ◆ readPIC()

int readPIC | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a PIC image file format(s). A 2D image format used in electron microscopy. Header size: variable - determined by title or label. File format extensions: .bp, .bq Byte order determination: Title length must be less than 256. Data types: BP files = byte, BQ files = float, (Note: float is VMS G_FLOAT).

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure).

Definition at line 27 of file rwPIC.cpp.

## ◆ writePIC()

int writePIC | ( | Bimage * | p | ) |

Writing a PIC image file format(s). A 2D image format used in electron microscopy.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 131 of file rwPIC.cpp.